@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root{
    --clr-primary: #E02D2D;
    --clr-black: #191919;
    --clr-white: #EEF2F5;
    font-family: 'Poppins', Helvetica, sans-serif;
    font-size: 14px;
    color: var(--clr-black);
    line-height: 18px;
}

html{
    scroll-behavior: smooth;
}

/* Botoes */
.btn{
    display: flex;
    align-items: center;
    gap: 0.5rem;
    background-color: var(--clr-primary);
    width: fit-content;
    padding: 0.75rem 1rem;
    border-radius: 6px;
    font-size: 14px;
    color: var(--clr-white);
    text-decoration: none;
    transition: transform 0.3s ease;
}

.btn:hover{
    transform: scale(1.02);
}

.w-100{
    width: 100%;
}

/* Seções */
section{
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;

}

section h2{
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 150%;
    text-transform: uppercase;
}

.bg-dark{
    background-color: var(--clr-black);
}

.bg-header{
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

@media screen and (min-width: 1024px) {
    section{
        max-width: 1180px;
        margin: 0 auto;
    }
}

/* Header */
header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 1.5rem;
    max-width: 1180px;
    margin: 0 auto;
    background-color: var(--clr-black);
    color: var(--clr-white);
}

header h1{
    font-weight: 500;
}

header nav{
    display: none;
    align-items: center;
    gap: 1.5rem;
}

header nav a{
    color: var(--clr-white);
    font-size: 16px;
    font-weight: 500;
    text-decoration: none;
    transition: font-size 0.3s ease;
}

header nav a:hover{
    font-size: large;
    color: #E02D2D;
}

@media screen and (min-width: 1024px){
    header nav{
        display: flex;
    }
}

/* Home */
#home{
    padding: 0;
    justify-content: center;
    height: 700px;
}

.home-cta{
    display: flex;
    flex-direction: column;
    height: 400px;
    justify-content: center;
    gap: 2.5rem;
    padding: 0 1.5rem;
    background-image: url(../images/darth.png);
    background-repeat: no-repeat;
    background-size: 300px;

}

.home-heading{
    display: flex;
    flex-direction: column;
}

.home-heading h1{
    font-size: 1.5rem;
    line-height: 150%;
    font-weight: 500;
    margin: 0;
}

.home-heading p{
    line-height: 150%;
    margin: 0;
}

#home img{
    display: none;
}

@media screen and (min-width: 1024px) {
    #home{
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        font-size: 1.5rem;
    }

    #home h1{
        font-size: 2rem;
    }

    #home img{
        display: block;
        width: 444px;
        height: 444px;
    }

    .home-cta{
        background: none;
    }
}

/* Sobre */
#sobre{
    gap: 1rem;
    background-color: var(--clr-black);
    color: var(--clr-white);
}

.mobile-sobre img{
    width: 100%;
    border-radius: 5px;
}

.sobre-paragrafos p{
    text-align: justify;
}

.sobre-links{
    display: flex;
    gap: 1.5rem;
    width: 100%;
}

.desktop-sobre{
    display: none;
}

.desktop-sobre img{
    border-radius: 5px;
    max-width: 460px;
}

.sobre-left{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

@media screen and (min-width: 1024px) {
    .mobile-sobre{
        display: none;
    }

    .desktop-sobre{
        display: flex;
        gap: 5.75rem;
        padding-block: 2rem;
    }

    .desktop-sobre h2{
        margin: 0;
    }
    
    .desktop-sobre .sobre-paragrafos{
        width: 70%;
    }
}

/* Projetos */
#projetos{
    gap: 1.5rem;
}

.card{
    background-color: var(--clr-black);
    color: var(--clr-white);
    padding: 1.25rem;
    border-radius: 5px;
    max-width: 300px;
}

.card img{
    aspect-ratio: 16/10;
    width: 100%;
    border-radius: 6px;
}

.card h3{
    font-size: 18px;
    font-weight: 500;
}

.card-wrapper{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

@media screen and (min-width: 1024px) {
    #projetos{
        align-items: center;
    }

    .card-wrapper{
        flex-direction: row;
        justify-content: center;
        flex-wrap: wrap;
        gap: 2rem;
    }
}

/* Servicos e Conhecimentos */
#servicos{
    background-color: var(--clr-black);
    color: var(--clr-white);
    gap: 2.5rem;
}

.base-list{
    display: flex;
    flex-wrap: wrap;
    margin: 0;
    padding: 0;
    list-style: none;
}

.base-list li{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--clr-primary);
    padding: 1rem;
    font-size: 18px;
    font-weight: 600;
    border-radius: 3px;    
}

.servicos-list{
    flex-direction: column;
    gap: 1rem;
}

.conhecimentos-list{
    flex-wrap: wrap;
    gap: 20px;
}

.conhecimentos-list li{
    width: 1.1rem;
    height: 1.1rem;
}

@media screen and (min-width:1024px) {
    #servicos{
        flex-direction: row;
        padding-block: 3rem;
    }

    #servicos > div{
        flex-basis: 50%;
    }

    .servicos-list li{
        justify-content: start;
        height: 64px;
        max-width: 35rem;
    }

    .conhecimentos-list li{
    width: 4rem;
    height: 4rem;
}
}

/* Contato */
#contato{
    gap: 2rem;
    padding-block: 4rem;
}
#contato h2{
    margin: 0;
}

#contato ul{
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    gap: 0.75rem;
    list-style: none;
}

#contato > ul > li{
    font-size: 18px;
    font-weight: 500;
}

#contato a{
    color: var(--clr-black);
    text-decoration: none;
}

#contato cite{
    text-transform: uppercase;
    font-weight: 500;
    font-size: 18px;
    font-style: normal;
}

@media screen and (min-width:1024px) {
    #contato{
        align-items: center;
    }
    #contato ul{
        gap: 1.5rem;
        align-items: center;
    }
}
/* Footer */
footer{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-block: 1.5rem;
    background-color: var(--clr-primary);
}

footer a{
    display: flex;
    align-items: center;
    gap: 0.5rem;
    text-decoration: none;
    color: var(--clr-black);
    font-weight: 300;
}

footer img{
    height: 24px;
}
